// this import is used forv importing required data files for creating map
import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

// Importing required url for the packages and creating a country.
const Url = 'https://gist.githubusercontent.com/sumitradevipolina/68eb21267f8609ce29771f16dad18777/raw/9073242d354f0d4ba160ed7d1818a2348ecbcaf5/countrymap.json';
export const useData = () => {
  const [data, setData] = useState(null);
// for creating the map effectively we can use it for our display.
  useEffect(() => {
    json(Url).then(topology => {
      const { states } = topology.objects;
      setData({
        land: feature(topology, states),
        interiors: mesh(topology, states, (a, b) => a !== b)
      });
    });
  }, []);

  return data;
};


